POST /vimgrvcenterruntime/initiate/managementserviceaccessgrant

POST /vimgrvcenterruntime/initiate/managementserviceaccessgrant

/vimgrvcenterruntime/initiate/managementserviceaccessgrant

Request
URI
POST
https://{api_host}/api/vimgrvcenterruntime/initiate/managementserviceaccessgrant
COPY
Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.


Request Body

CreateManagementServiceAccessGrantReq

CreateManagementServiceAccessGrantReq of type(s) application/json
Required  

Show optional properties

{
    "management_service_access_grant": {
        "access_grant": "string",
        "management_service": "string",
        "workload_selector": {
            "type": "string"
        }
    },
    "namespace": "string",
    "vcenter_host": "string"
}
{
    "cloud_uuid": "string",
    "management_service_access_grant": {
        "access_grant": "string",
        "enabled": false,
        "management_service": "string",
        "workload_selector": {
            "name": "string",
            "type": "string"
        }
    },
    "namespace": "string",
    "vcenter_host": "string"
}
string
cloud_uuid
Optional

Vcenter Cloud UUID. Field introduced in 32.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
management_service_access_grant
Required  

management_service_access_grant

string
namespace
Required  

Namespace to create Management Service Access grant under. Field introduced in 32.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
vcenter_host
Required  

VCenter host to be used for creating management service access grant. Only applicable to NSX-T Cloud. Field introduced in 32.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns string of type(s) application/json
Operation doesn't return any data structure

401

log in failed

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"management_service_access_grant":"object","namespace":"string","vcenter_host":"string"}' https://{api_host}/api/vimgrvcenterruntime/initiate/managementserviceaccessgrant